Get tasks by swimlane and columnGET
Description
Returns all tasks in the cell confined by a column and swimlane. Both column and swimlane can be given by ID, name or index.
For date grouped columns, the number of tasks returned is limited to 20 by default. You can raise the limit up to 100.
When there are more tasks to fetch in the column, the response will have tasksLimited=true and a nextTaskId, which points at the next task in line. Pass it in the next request as startTaskId to retrieve the succeeding tasks.
Instead of startTaskId, you can use startGroupingDate to start at a certain date (date finished). Format: YYYY-MM-DD. You can also choose the order of the tasks, either ascending (asc) or descending (desc). Default: desc.
See Get task for details of included properties for the individual tasks.
Permissions
Request format
curl https://kanbanflow.com/api/v1/tasks?<PARAM_1>=<PARAM_VALUE_1>&<PARAM_2>=<PARAM_VALUE_2>&...<PARAM_N>=<PARAM_VALUE_N>
Please note that you should URL encode the parameter, especially if it contains spaces.
Example request (swimlaneId, columnId)
curl https://kanbanflow.com/api/v1/tasks?swimlaneId=SqEB6zxG41e2&columnId=CBO1VNGqDc4K
Example request (startTaskId, limit, order)
curl https://kanbanflow.com/api/v1/tasks?swimlaneId=SqEB6zxG41e2&columnId=CBO1VNGqDc4K&startTaskId=T3s6UGyzY&limit=50&order=desc
Example request (startGroupingDate, limit, order)
curl https://kanbanflow.com/api/v1/tasks?swimlaneId=SqEB6zxG41e2&columnId=CBO1VNGqDc4K&startGroupingDate=2023-10-01&limit=50&order=asc
Example response
[
{
"swimlaneId": "SqEB6zxG41e2",
"swimlaneName": "Team Beta",
"columnId": "CBO1VNGqDc4K",
"columnName": "In progress",
"tasksLimited": false,
"tasks": [
{
"_id": "T3s6UGyzY",
"name": "Write report",
"description": "",
"color": "red",
"columnId": "CBO1VNGqDc4K",
"swimlaneId": "SqEB6zxG41e2",
"createdTimestamp": "2023-12-31T20:00:00.000Z"
}
]
}
]Valid parameters
| Parameter | Type | Comment |
|---|---|---|
| columnId | String | The ID of the column. One of columnId, columnIndex or columnName is required. See Get board for information about how to get a column's ID. |
| columnIndex | Integer | The position of the column. One of columnId, columnIndex or columnName is required. 0 is first column, 1 the second column, etc. |
| columnName | String | The name of the column. One of columnId, columnIndex or columnName is required. |
| swimlaneId | String | The ID of the swimlane. One of swimlaneId, swimlaneIndex or swimlaneName is required. See Get board for information about how to get a swimlane's ID. |
| swimlaneIndex | Integer | The position of the swimlane. One of swimlaneId, swimlaneIndex or swimlaneName is required. 0 is first swimlane, 1 the second swimlane, etc. |
| swimlaneName | String | The name of the swimlane. One of swimlaneId, swimlaneIndex or swimlaneName is required. |
| startTaskId | String | Can only be used if column is date grouped. Task ID to start from in date grouped columns. Cannot be combined with startGroupingDate. |
| startGroupingDate | String | The grouping date to start from. Can only be used if column is date grouped. Valid format is YYYY-MM-DD, e.g. 2023-12-31. Cannot be combined with startTaskId. |
| limit | Integer | Can only be used if column is date grouped. The maximum number of tasks to retrieve. The highest value that can be used is 100. Default: 20. |
| order | String | Can only be used if column is date grouped. Determines in what order tasks should be searched for. Can be either asc (ascending) or desc (descending). Default: desc. Example: If using startGroupingDate=2023-12-31 and order=desc, it will get tasks for 2023-12-31 and earlier dates. |